/***************************************************************************

	main.cpp
	Main executionfile for bluePong

	copyright : (C) 2003 by Thomas Unterthiner
	begin     : Son Mai 18 18:32:58 CEST 2003
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


 
//#ifdef HAVE_CONFIG_H
//	#include <config.h>
//#endif

#include "sdl_functions.h"
#include "ponggame.h"
#include <stdlib.h>
#include <vector>

int main(int argc, char *argv[])
{
	SDL_Surface* Display = SDL_Initiate();
	SDL_WM_SetCaption("bluePong", 0);

	PongGame Game(Display);
	
	bool Exit = false;
	SDL_Event Event;

	// game-loop
	while (!Exit)
	{
		// message-Loop
		while ( SDL_PollEvent(&Event) )
		{
			switch(Event.type)
			{
				case SDL_QUIT:
					Exit = true;
					break;
				case SDL_KEYDOWN:
					if (Event.key.keysym.sym == SDLK_ESCAPE)
					{
						Exit = true;
					}
					break;
			}
		}

		Game.nextTick();
		SDL_Flip(Display);
		SDL_Delay( waitForNextFrame() );
	}
	return EXIT_SUCCESS;
}
